Zeitgeist.Log.insert_event – zeitgeist-2.0 Reference Manual

# insert_event

## Description:

public async `Array`<`uint32`> insert_event (Event event, `Cancellable`? cancellable = null) throws `Error`

Asynchronously send a set of events to the Zeitgeist daemon, requesting they be inserted into the log.

## Parameters:

event | A Event
cancellable | a `GLib.Cancellable` to cancel the operation or %NULL